Package: groovy.io

## [Java] Class EncodingAwareBufferedWriter

- groovy.io.EncodingAwareBufferedWriter

-     public class EncodingAwareBufferedWriter
      extends BufferedWriter

  A buffered writer only for OutputStreamWriter that is aware of the encoding of the OutputStreamWriter.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EncodingAwareBufferedWriter(OutputStreamWriter out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getEncoding()` The encoding as returned by the underlying OutputStreamWriter.
    `` | `public String` | `getNormalizedEncoding()` The encoding as returned by the underlying OutputStreamWriter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BufferedWriter` | `append, append, append, append, append, append, close, equals, flush, getClass, hashCode, newLine, notify, notifyAll, nullWriter, toString, wait, wait, wait, write, write, write, write, write`

- - ### Constructor Detail

    - #### public EncodingAwareBufferedWriter(OutputStreamWriter out)

  - ### Method Detail

    - #### public String getEncoding()

      The encoding as returned by the underlying OutputStreamWriter. Can be the historical name.

      Returns:
        the encoding
      See Also:
        OutputStreamWriter.getEncoding

    - #### public String getNormalizedEncoding()

      The encoding as returned by the underlying OutputStreamWriter. Will be the preferred name.

      Returns:
        the encoding
      See Also:
        OutputStreamWriter.getEncoding